#define some colors
cols= c("olivedrab3", "gold1", "firebrick3", "dodgerblue3", "darkorchid3", "sienna3")

#we now use shorter neames for the variables to avoid making the equations too long
N = 1000 # effective population size
r = 100 #the number of populations
u = 0.000001 # mutation rates

m = 10^seq(-6,-1,0.1) # a vector of migration rates

#define some names and numbers
ploidynames = c("haploid", "diploid", "tetraploid", "octaploid")
ploidylevels = c(1,2,4,8)

#make an empty plot
plot(m, rep(NA, length(m)), pch=NA, ylim=c(0,1), xlab="Migration rate (m)", ylab="Value of summary statistic", font.lab=2, log="x")

#loop over ploidy levels
for(x in ploidylevels){
	#calculate 
	Hs_num = 2*x*N*r*u*(u+m)
	Hs_den = r*u*(1+2*x*N*u+2*x*N*m)+m
	Hs = Hs_num/Hs_den
	Ho = Hs
	
	Ht_num = r*u*(1+2*x*N*u+2*x*N*m)-u
	Ht_den = r*u*(1+2*x*N*u+2*x*N*m)+m
	Ht = Ht_num/Ht_den
	
	Fst = (Ht-Hs)/Ht
	rho = (Ht-Hs) / (Ht-((x-1)/x)*Ho)

	#add statistic to plot
	#to plot rho, replace the "Fst" in the line below with "rho"
	lines(m, Fst, col=cols[ploidylevels %in% x], lwd=2)
}

legend("topright", legend=ploidynames, col = cols, lwd=2, pch=NA)

