depth = 100  #the sequencing depth
num.draws = 1000 #the number of random draws per genotype 

#now draw sequencing data for three genotypes
AAAB = rbinom(num.draws, depth, 0.75)/depth
AABB = rbinom(num.draws, depth, 0.50)/depth
ABBB = rbinom(num.draws, depth, 0.25)/depth

#make histograms
p1 <- hist(AAAB, breaks=seq(0,1,0.02)) 
p2 <- hist(AABB, breaks=seq(0,1,0.02)) 
p3 <- hist(ABBB, breaks=seq(0,1,0.02)) 

#now put them in a plot
ylim = c(0, max(c(p1$counts, p2$counts, p3$counts)))
plot( p1, col=rgb(0,0,1,1/4), xlim=c(0,1), ylim=ylim, main="SNP data histograms", ylab="observed", xlab="Frequency of A allele in genotype", font.lab=2)  # first histogram
plot( p2, col=rgb(1,0,0,1/4), add=T, xlim=c(0,1), ylim=ylim)  # second
plot( p3, col=rgb(0,1,0,1/4), add=T, xlim=c(0,1), ylim=ylim)  # second